﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.IO;

namespace Able_Opus_Multi_Downloader
{
    static class Misc
    {
        private static StringBuilder _SB = new StringBuilder();

        public static void AddErrorLog(string message, string data)
        {
            _SB.AppendLine(message);
            _SB.AppendLine(data);
            _SB.AppendLine();
        }

        public static void ShowErrorLog()
        {
            ErrorLogForm frmErrorLog = new ErrorLogForm(_SB.ToString());
            frmErrorLog.Show();
            _SB.Clear();
        }

        public static bool HasError
        {
            get { return _SB.Length > 0; }
        }
    }
}
