﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Able_Opus_Multi_Downloader
{
    public partial class PickURLForm : Form
    {
        public PickURLForm()
        {
            InitializeComponent();
        }

        private void webBrowser_Navigated(object sender, WebBrowserNavigatedEventArgs e)
        {
            txtAdress.Text = webBrowser.Url.AbsoluteUri;
            btnBack.Enabled = webBrowser.CanGoBack;
            btnForward.Enabled = webBrowser.CanGoForward;
        }

        private void btnGoToGoogle_Click(object sender, EventArgs e)
        {
            webBrowser.Navigate("google.com");
        }

        private void btnGo_Click(object sender, EventArgs e)
        {
            webBrowser.Navigate(txtAdress.Text);
        }

        private void btnBack_Click(object sender, EventArgs e)
        {
            webBrowser.GoBack();
        }

        private void btnForward_Click(object sender, EventArgs e)
        {
            webBrowser.GoForward();
        }

        private void txtAdress_TextChanged(object sender, EventArgs e)
        {
            btnGo.Enabled = (txtAdress.TextLength > 0);
        }

        public string SelectedURL
        {
            get { return webBrowser.Url.AbsoluteUri; }
        }

        private void btnWebSite_Click(object sender, EventArgs e)
        {
            webBrowser.Navigate("AbleOpus.Weebly.com");
        }
    }
}
